# These come from install.rdf
%define firefox_app_id \{ec8030f7-c20a-464f-9b0e-13a3a9e97384\}
%define firefox_ext_id \{b676e3ff-cda7-4e0c-b2b8-74e4bb40a67a\}
# These requires are hardcoded in the sources
%define libvoikko libvoikko.so.1
%define libmalaga libmalaga.so.7
%ifarch x86_64 ppc64 ia64 sparc64 s390x
%define mark64  ()(64bit)
%endif

Name:           mozvoikko
Version:        0.9.5
Release:        1%{?dist}
Summary:        Finnish Voikko spell-checker extension for Mozilla programs
Group:          Applications/Internet
License:        GPLv2+
URL:            http://voikko.sourceforge.net
Source0:        http://downloads.sourceforge.net/voikko/%{name}-%{version}.tar.gz
# This package will build without this patch if BR xulrunner-devel-unstable is
# added, but with this patch  xulrunner-devel-unstable is not needed in Fedora.
# Upstream knows about the patch, but it's somewhat Fedora specific.
Patch0:         mozvoikko-no-unstable.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  xulrunner-devel libvoikko-devel
BuildRequires:  pkgconfig
# As long as Firefox is the only program which can use the extension,
# we may as well require it, since this package is quite useless without it.
Requires:       firefox
Requires:       %{libvoikko}%{?mark64}
Requires:       %{libmalaga}%{?mark64}

%description
This is mozvoikko, an extension for Mozilla programs for using the Finnish
spell-checker Voikko.


%prep
%setup -q
%patch0 -p1


%build
make -f Makefile.xulrunner extension-files CFLAGS="$RPM_OPT_FLAGS" \
  CC_LINK="g++ -shared -Wl,--no-undefined $RPM_OPT_FLAGS" %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make -f Makefile.xulrunner install-unpacked \
  DESTDIR=$RPM_BUILD_ROOT%{_libdir}/mozilla/extensions/%{firefox_app_id}
# Make the .so executable, so debuginfo can be stripped
chmod +x \
  $RPM_BUILD_ROOT%{_libdir}/mozilla/extensions/%{firefox_app_id}/%{firefox_ext_id}/components/*.so


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING README
%{_libdir}/mozilla/extensions/%{firefox_app_id}/%{firefox_ext_id}


%changelog
* Thu Jul 24 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 0.9.5-1
- Bump Release for initial Fedora build

* Fri Jul 18 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 0.9.5-0.2
- Add patch to remove xulrunner unstable include from Makefile.xulrunner
  and only BuildRequire xulrunner-devel, not xulrunner-devel-unstable
- Change Group to Applications/Internet
- Add dependency to the sonames libvoikko.so.1 and libmalaga.so.7

* Mon Jun 24 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 0.9.5-0.1
- New upstream release

* Mon May 31 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 0.9.4.1.3-0.1
- New upstream release, the Makefile.xulrunner path patch is no longer needed

* Mon May 26 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 0.9.4.1.2-0.1
- New upstream release, Makefile.xulrunner paths are no longer hardcoded,
  VOIKKO_INCLUDES is dropped completely
- Path patch updated, most notably include directories, even though the build
  worked even before for some reason

* Mon May 26 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 0.9.4.1.1-0.3
- Change name to mozvoikko to reflect the possibility of this package later
  supporting Thunderbird and Seamonkey as well
- Change summary and description accordingly
- Add firefox to Requires, because currently it's the only program which can
  use mozvoikko
- Drop BR xulrunner-devel, the -unstable package is enough to require for now

* Sat May 24 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 0.9.4.1.1-0.1
- New upstream release
- Use the new extension-files and install-unpacked make targets
- Path patch edited accordingly

* Fri May 23 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 0.9.4.1-0.1
- Initial package

